Avant Window Navigator

Avant Window Navigator es una barra tipo dock que se instala en la parte baja de la pantalla y te permite intercambiar entre las ventanas que tengas abiertas:

Avant Window Navigator

Es muy similar a la que incluyen los sistemas Mac OS, pero esta es una implementación libre de la misma idea. Para usarla necesitas tener instalado o beryl o compiz para que funcionen las transparencias y demás efectos.

Es bastante personalizable: puedes cambiar los colores o bien usar una imagen de fondo, eliges usar esquinas redondeadas o cuadradas, agregar accesos directos a aplicaciones (siempre aparecen a la izquierda), ver todas la ventanas abiertas o solo las que tengas en el escritorio actual. Lo único que no se puede modificar es el tamaño de los iconos (por ahora).

¿Quieres tenerla en tu escritorio? Hay 2 formas de hacerlo, desde los repositorios (solo Edgy 32-bit):

  1. Agregas:
    /etc/apt/sources.list

    deb http://download.tuxfamily.org/syzygy42 edgy avant-window-navigator
    deb-src http://download.tuxfamily.org/syzygy42 edgy avant-window-navigator
  2. Luego ejecutas:
    wget http://download.tuxfamily.org/syzygy42/8434D43A.gpg
    sudo apt-key add 8434D43A.gpg
    rm 8434D43A.gpg
    sudo apt-get update
  3. Por último instalas avant-window-navigator-svn

O desde los fuentes en el SVN (como yo lo he hecho):

  1. Instalas las dependencias:
    sudo apt-get install build-essential autotools-dev libgnome2-common libgnome2-dev libgnome-desktop-dev libgnome-vfs-dev libgtk2.0-dev libwnck-dev libgconf2-dev libglib2.0-dev libgnomevfs2-0 libgnome-desktop-2 libgnome2-0 libwnck-common python-gtk2 python-gconf subversion
  2. Obtienes ls fuentes del SVN:
    svn checkout http://avant-window-navigator.googlecode.com/svn/trunk/ avant-window-navigator
  3. Compilas y listo:
    cd avant-window-navigator
    ./autogen.sh
    make
    sudo make install

En este punto ya tiene que haber un nuevo elemento en tu menú, lo ejecutas y obtienes algo como esto:

Si quieres que AWN se auto oculte, debes ejecutar gconf-editor e ir a /apps/avant-window/navigator, luego modificas la llave auto_hide a verdadero (cheque puesto).

Aún esta en desarrollo pero funciona bastante bien. Yo solo tuve el problema que aveces minimizas una ventana y luego no regresa ni a patadas… hay que cerrarla y comenzar de nuevo. Igual que a la Dock de Mac OS, a AWN se le puede criticar:

  1. No hay forma de cambiar el tamaño.
  2. Los iconos idénticos lucen idénticos. Si por alguna razón 2 aplicaciones tienen el mismo icono no sabes cual es cual, hasta llevar el mouse encima de una de ellas.
  3. Los objetos necesitan colores. Si tienes 2 ventanas de Firefox o varias ventanas de Gimp no hay diferencia notable.
  4. No se puede cambiar de posición ni ponerla en vertical. La famosa kiba-dock ya hace esto desde hace mucho.

Afortunadamente tienen buenas ideas por hacer, aunque con forme avance AWN habrá que estar pendientes para no llegar a problemas como este (una solución drástica sería usar el plugin AddHelper de Beryl).

Referencia: HOWTO: functional eye-candy with Avant-Window-Navigator and Affinity

Etiquetas: , gnu/linux, ubuntu, , , , ,

14 thoughts on “Avant Window Navigator

  1. Woww!! (pero no de Vista, este se merece un Suck), tu si nos apantallas con tus demostraciones de lo que se puede hacer con GNU/Linux.

    Por cierto, muy lindas las chicas que tenes en tu desktop, otra forma de pimpear el escritorio 😉

    Saludos

  2. jaja el WoW de Windows Vista 😆 Últimamente he probado muy buenas aplicaciones para hace mas entretenido el Escritorio.

    La chica de en mi Escritorio (y las otras 2 fotos) es Melanie C, pero si estas interesado en saber mas de ella 😉

  3. Pingback: Gnome Launch Box « Javier Aroche

  4. Javier, vos que version de Ubuntu estas usando? Yo estoy usando “Ubuntu 6.06 LTS” y la paja que me da cuando le doy:

    sudo apt-get install python-gconf

    es

    E: Couldn’t find package python-gconf

    Hice google como instalar esa vaina y me salieron resultados de gnome-python-gconf nada mas, busque ‘repositories’ de donde conseguir el jodido paquete y ni miercoles.

    Lo logre instalar sin el python-gconf, corre pero paquete cuetes.

    Talvez estas usando vos una version mas nueva de Ubuntu? No hace sentido que no corra bien en la version que yo tengo, pero pense preguntarte.

    Va, y para lograr que corra mas o menos, tube que instalar los siguientes paquetes:

    libdbus-glib-1-dev
    build-essential

    Si vos tenes una version de Ubuntu mas nueva, entonces por ahi debo de empezar, sin embargo, pienso que si deberia correr bien con la version que tengo.

    Gracias

  5. Si yo tengo Edgy Eft (6.10) y como también compilo beryl desde SVN tengo muchos paquetes instalados, cada dia tengo menos clavos con las dependencias 😄

    Pregunta, ¿Tenes todos los Repositorios activos? Eso podría ser, no estoy muy seguro en donde anda, pero en mi version si lo tengo instalado:

    $ aptitude show python-gconf
    Package: python-gconf
    State: installed
    Automatically installed: no
    Version: 2.16.0-0ubuntu6
    Priority: optional
    Section: python
    Maintainer: Ubuntu Core Developers
    Uncompressed Size: 242k
    Depends: libc6 (>= 2.4-1), libgconf2-4 (>= 2.13.5), libglib2.0-0 (>= 2.12.0),
    liborbit2 (>= 1:2.14.1), python-support (>= 0.3.4), python (= 2.4), python-pyorbit (>= 2.0.1-4)
    Conflicts: python-gnome2 (< 2.16.0-0ubuntu3)
    Replaces: python-gnome2 (< 2.16.0-0ubuntu3)
    Description: Python bindings for GConf2
    This archive contains modules that allow you to write programs that use GConf2
    in Python.

    Supongo que estas tratando de instalar la version ya compilada no?

  6. Fijate vos que los unicos repositorios que no tenia activos eran los de Backport binarios y fuentes. Los activé pero sin frutos.

    Se me olvidó apuntar que otro paquete que tube que instalar para que el autogen.sh corriera fue automake 1.9

    Voy a intentar otra vez, y si ni asi funciona bien, entonces me tiro a instalar Edgy. A ver que pasa…

  7. Pingback: La Papelera » (Otros) programas rompedores de MacOSX en Gnome/Ubuntu

  8. Vos jaroche, como es que se llama ese menu que tenes vos? El menu de Inicio, pero que se parece al de SLED 10? Lo ando buscando, pero no me acuerdo del nombre….
    tnks!

  9. Hola javier q tal … esta muy bueno tu blog =D …. pozz io q recien comienzo 😀 …
    en fin Javier me quede en Make … :S

    tipeo en el terminal Make o Sudo make install y no me da nada solo me sale este msj :

    krloz@ubuntu:~/avant-window-navigator$ make
    make: *** No se especificó ningún objetivo y no se encontró ningún makefile. Alto.
    krloz@ubuntu:~/avant-window-navigator$ sudo make install
    make: *** No hay ninguna regla para construir el objetivo `install’. Alto.

    Gracias 😀

Comments are closed.